From ccea333f120334ee525081f545dcadb1942ab8dc Mon Sep 17 00:00:00 2001
From: Cyril Jouve <jv.cyril@gmail.com>
Date: Sun, 26 Jul 2020 17:34:07 +0200
Subject: [PATCH] remove compat code for py<3.4

---
 tools/copyright_updater.py                    |  1 -
 tools/get_chromedriver.py                     |  8 ++-----
 tools/sql_keywords.py                         |  1 -
 web/migrations/env.py                         |  1 -
 web/pgadmin/browser/__init__.py               | 10 +++-----
 .../databases/casts/tests/test_cast_create.py |  1 -
 .../tests/test_cast_create_get_functions.py   |  1 -
 .../casts/tests/test_cast_create_get_type.py  |  1 -
 .../databases/casts/tests/test_cast_delete.py |  1 -
 .../casts/tests/test_cast_delete_multiple.py  |  1 -
 .../databases/casts/tests/test_cast_get.py    |  1 -
 .../test_cast_get_dependencies_dependent.py   |  1 -
 .../casts/tests/test_cast_get_node.py         |  1 -
 .../casts/tests/test_cast_get_sql.py          |  1 -
 .../databases/casts/tests/test_cast_put.py    |  1 -
 .../servers/databases/casts/tests/utils.py    |  1 -
 .../databases/event_triggers/tests/utils.py   |  1 -
 .../extensions/tests/test_extension_add.py    |  1 -
 .../extensions/tests/test_extension_delete.py |  1 -
 .../tests/test_extension_delete_multiple.py   |  1 -
 .../extensions/tests/test_extension_get.py    |  1 -
 .../extensions/tests/test_extension_put.py    |  1 -
 .../databases/extensions/tests/utils.py       |  1 -
 .../tests/test_external_tables_module.py      |  4 +---
 .../tests/test_foreign_servers_add.py         |  1 -
 .../tests/test_foreign_servers_delete.py      |  1 -
 .../test_foreign_servers_delete_multiple.py   |  1 -
 ...st_foreign_servers_dependent_dependency.py |  1 -
 .../tests/test_foreign_servers_get.py         |  1 -
 .../tests/test_foreign_servers_msql.py        |  1 -
 .../tests/test_foreign_servers_node.py        |  1 -
 .../tests/test_foreign_servers_put.py         |  1 -
 .../tests/test_foreign_servers_sql.py         |  1 -
 .../foreign_servers/tests/utils.py            |  1 -
 .../tests/test_user_mapping_add.py            |  1 -
 .../tests/test_user_mapping_delete.py         |  1 -
 .../test_user_mapping_delete_multiple.py      |  1 -
 .../test_user_mapping_dependent_dependency.py |  1 -
 .../tests/test_user_mapping_get.py            |  1 -
 .../tests/test_user_mapping_msql.py           |  1 -
 .../tests/test_user_mapping_node.py           |  1 -
 .../tests/test_user_mapping_put.py            |  1 -
 .../tests/test_user_mapping_sql.py            |  1 -
 .../user_mappings/tests/utils.py              |  1 -
 .../tests/test_fdw_add.py                     |  1 -
 .../tests/test_fdw_delete.py                  |  1 -
 .../tests/test_fdw_delete_multiple.py         |  1 -
 .../tests/test_fdw_dependency_dependent.py    |  1 -
 .../tests/test_fdw_get-handlers.py            |  1 -
 .../tests/test_fdw_get.py                     |  1 -
 .../tests/test_fdw_get_nodes.py               |  1 -
 .../tests/test_fdw_get_validators.py          |  1 -
 .../tests/test_fdw_msql.py                    |  1 -
 .../tests/test_fdw_put.py                     |  1 -
 .../tests/test_fdw_sql.py                     |  1 -
 .../foreign_data_wrappers/tests/utils.py      |  1 -
 .../languages/tests/test_language_add.py      |  1 -
 .../languages/tests/test_language_delete.py   |  1 -
 .../tests/test_language_delete_multiple.py    |  1 -
 .../tests/test_language_dependency.py         |  1 -
 .../tests/test_language_dependent.py          |  1 -
 .../languages/tests/test_language_get.py      |  1 -
 ...test_language_get_function_and_template.py |  1 -
 .../languages/tests/test_language_put.py      |  1 -
 .../languages/tests/test_language_sql.py      |  1 -
 .../databases/languages/tests/utils.py        |  1 -
 .../schemas/collations/tests/utils.py         |  1 -
 .../domains/domain_constraints/tests/utils.py |  1 -
 .../databases/schemas/domains/tests/utils.py  |  1 -
 .../tests/test_foreign_table_add.py           |  1 -
 .../tests/test_foreign_table_delete.py        |  1 -
 .../test_foreign_table_delete_multiple.py     |  1 -
 .../tests/test_foreign_table_get.py           |  1 -
 .../tests/test_foreign_table_put.py           |  1 -
 .../schemas/foreign_tables/tests/utils.py     |  1 -
 .../tests/test_fts_configuration_add.py       |  1 -
 .../test_fts_configuration_copyConfig.py      |  1 -
 .../tests/test_fts_configuration_delete.py    |  1 -
 .../test_fts_configuration_delete_multiple.py |  1 -
 ..._fts_configuration_dependency_dependent.py |  1 -
 .../tests/test_fts_configuration_get.py       |  1 -
 ...test_fts_configuration_get_dictionaries.py |  1 -
 .../tests/test_fts_configuration_get_nodes.py |  1 -
 .../tests/test_fts_configuration_get_sql.py   |  1 -
 .../tests/test_fts_configuration_parsers.py   |  1 -
 .../tests/test_fts_configuration_put.py       |  1 -
 .../tests/test_fts_configuration_tokens.py    |  1 -
 .../schemas/fts_configurations/tests/utils.py |  1 -
 .../tests/test_fts_dictionaries_add.py        |  1 -
 .../tests/test_fts_dictionaries_delete.py     |  1 -
 .../test_fts_dictionaries_delete_multiple.py  |  1 -
 ...t_fts_dictionaries_dependency_dependent.py |  1 -
 .../test_fts_dictionaries_fetch_templates.py  |  1 -
 .../tests/test_fts_dictionaries_get.py        |  1 -
 .../tests/test_fts_dictionaries_get_nodes.py  |  1 -
 .../tests/test_fts_dictionaries_put.py        |  1 -
 .../schemas/fts_dictionaries/tests/utils.py   |  1 -
 .../fts_parsers/tests/test_fts_parser_add.py  |  1 -
 .../tests/test_fts_parser_delete.py           |  1 -
 .../tests/test_fts_parser_delete_multiple.py  |  1 -
 .../test_fts_parser_dependency_dependent.py   |  1 -
 .../tests/test_fts_parser_end_functions.py    |  1 -
 .../fts_parsers/tests/test_fts_parser_get.py  |  1 -
 .../tests/test_fts_parser_get_nodes.py        |  1 -
 .../test_fts_parser_head_line_functions.py    |  1 -
 .../test_fts_parser_lextype_functions.py      |  1 -
 .../fts_parsers/tests/test_fts_parser_put.py  |  1 -
 .../tests/test_fts_parser_start_functions.py  |  1 -
 .../tests/test_fts_parser_token_functions.py  |  1 -
 .../schemas/fts_parsers/tests/utils.py        |  1 -
 .../test_fts_template_dependency_dependent.py |  1 -
 .../tests/test_fts_template_get_init.py       |  1 -
 .../tests/test_fts_template_get_lexize.py     |  1 -
 .../tests/test_fts_template_get_nodes.py      |  1 -
 .../tests/test_fts_templates_add.py           |  1 -
 .../tests/test_fts_templates_delete.py        |  1 -
 .../test_fts_templates_delete_multiple.py     |  1 -
 .../tests/test_fts_templates_get.py           |  1 -
 .../tests/test_fts_templates_put.py           |  1 -
 .../schemas/fts_templates/tests/utils.py      |  1 -
 .../schemas/functions/tests/utils.py          |  1 -
 .../databases/schemas/packages/tests/utils.py |  1 -
 .../schemas/sequences/tests/utils.py          |  1 -
 .../databases/schemas/synonyms/tests/utils.py |  1 -
 .../tables/columns/tests/test_column_msql.py  |  6 +----
 .../schemas/tables/columns/tests/utils.py     |  1 -
 .../tests/test_compound_triggers_add.py       |  6 +----
 .../tests/test_compound_triggers_delete.py    |  6 +----
 .../test_compound_triggers_delete_multiple.py |  6 +----
 .../tests/test_compound_triggers_get.py       |  6 +----
 .../tests/test_compound_triggers_put.py       |  6 +----
 .../tables/compound_triggers/tests/utils.py   |  1 -
 .../check_constraint/tests/utils.py           |  1 -
 .../exclusion_constraint/tests/utils.py       |  1 -
 .../constraints/foreign_key/tests/utils.py    |  1 -
 .../index_constraint/tests/utils.py           |  1 -
 .../schemas/tables/indexes/tests/utils.py     |  1 -
 .../tests/test_rls_add.py                     |  7 ++----
 .../tests/test_rls_delete.py                  |  6 +----
 .../tests/test_rls_get.py                     |  6 +----
 .../tests/test_rls_put.py                     |  6 +----
 .../row_security_policies/tests/utils.py      |  1 -
 .../tables/rules/tests/test_rules_add.py      |  7 ++----
 .../tables/rules/tests/test_rules_delete.py   |  6 +----
 .../tables/rules/tests/test_rules_get.py      |  6 +----
 .../tables/rules/tests/test_rules_put.py      |  5 +---
 .../schemas/tables/rules/tests/utils.py       |  1 -
 .../databases/schemas/tables/tests/utils.py   |  1 -
 .../triggers/tests/test_triggers_add.py       |  6 +----
 .../triggers/tests/test_triggers_delete.py    |  6 +----
 .../triggers/tests/test_triggers_get.py       |  6 +----
 .../triggers/tests/test_triggers_put.py       |  6 +----
 .../schemas/tables/triggers/tests/utils.py    |  1 -
 .../servers/databases/schemas/tests/utils.py  |  1 -
 .../databases/schemas/types/tests/utils.py    |  1 -
 .../databases/schemas/views/tests/utils.py    |  1 -
 .../servers/pgagent/tests/utils.py            |  1 -
 .../servers/resource_groups/tests/utils.py    |  1 -
 .../servers/roles/tests/utils.py              |  1 -
 .../tablespaces/tests/test_tbspc_add.py       |  1 -
 .../tablespaces/tests/test_tbspc_delete.py    |  1 -
 .../servers/tablespaces/tests/utils.py        |  1 -
 .../feature_tests/browser_tool_bar_test.py    |  1 -
 ...opy_selected_query_results_feature_test.py |  1 -
 .../feature_tests/file_manager_test.py        |  1 -
 .../feature_tests/keyboard_shortcut_test.py   |  1 -
 .../pg_datatype_validation_test.py            |  1 -
 .../pg_utilities_backup_restore_test.py       |  1 -
 .../pg_utilities_maintenance_test.py          |  1 -
 .../query_tool_auto_complete_tests.py         |  1 -
 .../feature_tests/query_tool_journey_test.py  |  1 -
 web/pgadmin/feature_tests/query_tool_tests.py |  1 -
 .../feature_tests/table_ddl_feature_test.py   |  1 -
 .../feature_tests/view_data_dml_queries.py    |  1 -
 .../xss_checks_panels_and_query_tool_test.py  |  1 -
 .../xss_checks_pgadmin_debugger_test.py       |  1 -
 .../xss_checks_roles_control_test.py          |  1 -
 .../misc/bgprocess/process_executor.py        |  1 -
 web/pgadmin/misc/bgprocess/processes.py       |  3 +--
 web/pgadmin/misc/file_manager/__init__.py     | 15 ++----------
 web/pgadmin/tools/backup/__init__.py          |  1 -
 .../search_objects/tests/test_api_search.py   |  7 +-----
 web/pgadmin/utils/crypto.py                   |  8 ++-----
 web/pgadmin/utils/csv.py                      | 24 +++++++------------
 web/pgadmin/utils/driver/psycopg2/__init__.py | 15 ------------
 .../utils/driver/psycopg2/connection.py       |  3 +--
 .../utils/driver/psycopg2/server_manager.py   |  3 ---
 web/pgadmin/utils/server_utils.py             |  1 -
 .../utils/sqlautocomplete/completion.py       |  2 --
 .../sqlautocomplete/parseutils/tables.py      |  1 -
 .../utils/sqlautocomplete/parseutils/utils.py |  1 -
 .../utils/sqlautocomplete/sqlcompletion.py    |  6 +----
 web/regression/feature_utils/pgadmin_page.py  |  1 -
 .../python_test_utils/test_utils.py           |  5 ++--
 web/regression/re_sql/tests/test_resql.py     | 15 ++----------
 web/regression/runtests.py                    |  1 -
 196 files changed, 46 insertions(+), 354 deletions(-)

diff --git a/tools/copyright_updater.py b/tools/copyright_updater.py
index b7d99d3a2..f74b86e67 100644
--- a/tools/copyright_updater.py
+++ b/tools/copyright_updater.py
@@ -12,7 +12,6 @@
 # This utility will allow us to change the copyright year information from
 # all the files present in FILE_EXTENSIONS variable at once
 
-from __future__ import print_function
 import os
 import sys
 import re
diff --git a/tools/get_chromedriver.py b/tools/get_chromedriver.py
index 5f33136af..155fa54f7 100644
--- a/tools/get_chromedriver.py
+++ b/tools/get_chromedriver.py
@@ -17,12 +17,8 @@ import os
 import platform
 import subprocess
 import sys
-try:
-    from urllib.request import urlopen, urlretrieve
-    from urllib.error import URLError
-except Exception:
-    from urllib import urlopen, urlretrieve
-    URLError = Exception
+from urllib.request import urlopen, urlretrieve
+from urllib.error import URLError
 import zipfile
 
 
diff --git a/tools/sql_keywords.py b/tools/sql_keywords.py
index 9f1d466c2..6d4c6f1e3 100644
--- a/tools/sql_keywords.py
+++ b/tools/sql_keywords.py
@@ -13,7 +13,6 @@
 # pgsql keywords from the code git paths mentioned in PG_CODES_URLS
 # Note that, PG_CODES_URLS may need to be changed manually per version change
 
-from __future__ import print_function
 import re
 import requests
 import argparse
diff --git a/web/migrations/env.py b/web/migrations/env.py
index 15f6c3c5b..f3017eba5 100644
--- a/web/migrations/env.py
+++ b/web/migrations/env.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import with_statement
 from alembic import context
 from sqlalchemy import engine_from_config, pool
 import logging
diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index 99c9bbec0..3a638d692 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -15,6 +15,7 @@ from smtplib import SMTPConnectError, SMTPResponseException, \
     SMTPServerDisconnected, SMTPDataError, SMTPHeloError, SMTPException, \
     SMTPAuthenticationError, SMTPSenderRefused, SMTPRecipientsRefused
 from socket import error as SOCKETErrorException
+from urllib.request as urlopen
 
 import six
 from flask import current_app, render_template, url_for, make_response, \
@@ -47,11 +48,6 @@ from pgadmin.utils.master_password import validate_master_password, \
     set_crypt_key, process_masterpass_disabled
 from pgadmin.model import User
 
-try:
-    import urllib.request as urlreq
-except ImportError as e:
-    import urllib2 as urlreq
-
 try:
     from flask_security.views import default_render_json
 except ImportError as e:
@@ -608,9 +604,9 @@ def index():
             # It stuck on rendering the browser.html, while working in the
             # broken network.
             if os.path.exists(config.CA_FILE):
-                response = urlreq.urlopen(url, data, 5, cafile=config.CA_FILE)
+                response = urlopen(url, data, 5, cafile=config.CA_FILE)
             else:
-                response = urlreq.urlopen(url, data, 5)
+                response = urlopen(url, data, 5)
             current_app.logger.debug(
                 'Version check HTTP response code: %d' % response.getcode()
             )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create.py
index b3dcc8e14..9ef69ec28 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_functions.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_functions.py
index 26a1190ce..099615c56 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_functions.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_type.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_type.py
index cd08934e2..f4d7e2e26 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_type.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_create_get_type.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
index 4af22f4dd..a49d6cc88 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete_multiple.py
index 655c54361..d9b7e9263 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_delete_multiple.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
index bb8118f57..97b7f3acf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_dependencies_dependent.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_dependencies_dependent.py
index d5f510999..346bfd9e4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_dependencies_dependent.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_dependencies_dependent.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_node.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_node.py
index 7a4847e76..16b9c2f87 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_node.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_node.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.utils.route import BaseTestGenerator
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_sql.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_sql.py
index 6215037e9..c675cd84a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_get_sql.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
index df5878f9e..43d9e68a2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
index 7b8c1903b..68f9da2cb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 from regression.python_test_utils.test_utils import *
 import os
 import json
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
index 94ae931cc..853ad4218 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import sys
 import traceback
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
index a18d4f223..af62ca486 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_add.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import json
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
index 03c897f4d..87639b539 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py
index c9770eea5..a52a8d675 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_delete_multiple.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 import json
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
index baf2ae9f9..23efe5889 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_get.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
index 7f60d94db..a25870c2f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/test_extension_put.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import json
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
index b0eb66020..53d02d8f2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import sys
 import traceback
diff --git a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
index 6454bc9de..56e0ae636 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/external_tables/tests/test_external_tables_module.py
@@ -7,8 +7,6 @@
 #
 ##########################################################################
 
-import six
-
 from pgadmin.browser.server_groups.servers\
     .databases.external_tables import ExternalTablesModule
 from pgadmin.utils.route import BaseTestGenerator
@@ -90,7 +88,7 @@ class TestExternalTablesModule(BaseTestGenerator):
         module.generate_browser_collection_node = Mock()
 
         result = module.get_nodes(**self.function_parameters)
-        six.next(result)
+        next(result)
 
         module.generate_browser_collection_node.assert_called_with(
             self.expected_generate_browser_collection_node_called_with
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
index 32c4edb16..3ec9a76f1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import json
 import uuid
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
index 7cf29a091..a7ab075d8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import uuid
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete_multiple.py
index 481d8efc1..fe91d8c20 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete_multiple.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import uuid
 import json
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_dependent_dependency.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_dependent_dependency.py
index 0af9a3c17..383d4bef1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_dependent_dependency.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_dependent_dependency.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import uuid
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
index 3bec68f66..2e897bc96 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import uuid
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_msql.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_msql.py
index a2874db28..024b7d093 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_msql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_msql.py
@@ -7,7 +7,6 @@
 #
 ##########################################################################
 
-from __future__ import print_function
 
 import uuid
 
